-- Fenestra; version 0.80(beta); 1998-09-27

-- 
-- Copyright (c) 1998 Franck Arnaud, http://www.altsoft.demon.co.uk/
-- 
-- This package is distributed under the Eiffel Forum Freeware License, 
-- version 1 (see file forum.txt for full text). The main points are:
-- 
-- "Permission is hereby granted, without written agreement and without 
--  license or royalty fees, to use, copy, modify and/or distribute this 
--  package, provided that: copyright notices are retained unchanged [...]
-- 
--  Permission is hereby also granted [...] to distribute binary programs 
--  which depend on this package, provided that: if the binary program 
--  depends on a modified version of this package, you must publicly release 
--  the modified version of this package [...].
-- 
--  THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT WARRANTY [...]"
-- 

indexing
	cluster: Fenestra, Internal
	description: "Avoid SmallEiffel type inference problems by adding types to the set"
	comment: "This is declared as a callback in cecil.se in order to add it to the live code"
	interface: hack, internal

class WIN_SPEC

creation
	make

feature {NONE} -- Creation
	
	make is
			-- Smalleiffel
		local
			a: WIN_SPEC
		do
			if a /= Void then
				typehole
				--notifier.reset_fonts
				--notifier.register_timer (Void)
			end
		end
	
feature {NONE}
	 
	typehole is 
			-- Add types to live set.
		local
			lp: LOGICAL_PALETTE
			pb: STD_PUSH_BUTTON 
			gc: GUI_COMMAND
			sa: SME_DIALOG
			mi: HEAD_MENU_ITEM
			ft: F_TIMER
			pm: POPUP_MENU
			mh: MOUSE_HANDLER
			wp: WIN_PALETTE
			int_set: P_HASH_SET [INTEGER]
			font_list: P_LINKED_LIST [LOGICAL_FONT]
		do 
			!!ft.make
			!!pb.make (Void)
			!!lp.make (1)
			!HELP_CONTENTS!gc.make (Void)
			!!sa.make (Void) 
			!!mi.make ("z") 
			!!pm.make (Void)
			!!mh.make (Void)
			!!wp.make (Void)
			!!int_set.make
			!!font_list.make
		ensure
			never_called: False
		end

end
