-- Fenestra; version 0.80(beta); 1998-09-27

-- 
-- Copyright (c) 1998 Franck Arnaud, http://www.altsoft.demon.co.uk/
-- 
-- This package is distributed under the Eiffel Forum Freeware License, 
-- version 1 (see file forum.txt for full text). The main points are:
-- 
-- "Permission is hereby granted, without written agreement and without 
--  license or royalty fees, to use, copy, modify and/or distribute this 
--  package, provided that: copyright notices are retained unchanged [...]
-- 
--  Permission is hereby also granted [...] to distribute binary programs 
--  which depend on this package, provided that: if the binary program 
--  depends on a modified version of this package, you must publicly release 
--  the modified version of this package [...].
-- 
--  THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT WARRANTY [...]"
-- 

indexing
	cluster: Fenestra, Controls, Windows
	description: "Dialog box that is also the main window of the program"
	comment: "creation procedure for descendants is `make' or `make_thin'"
	interface: client

deferred class APPLICATION_DIALOG

inherit
	MODELESS_DIALOG
		rename
			make as dialog_make,
			make_thin as dialog_make_thin
		export {NONE}
			dialog_make, dialog_make_thin
		undefine
			when_destroyed, internal_when_drop
		end
	APPLICATION
		undefine
			register, when_created, 
			when_closed, when_focus_given
		redefine
			make
		end

feature {CREATION_NONE} -- Creation
	
	make is
			-- Create application dialog.
		do
			wrt.win_initwin
			!!wo.make_handle (wrt.win_create_appdialog (true))

			application_register
		end

	make_thin is
			-- Create application dialog with thin border.
		do
			wrt.win_initwin
			!!wo.make_handle (wrt.win_create_appdialog (false))

			application_register
		end

end -- class APPLICATION_DIALOG
