-- Fenestra; version 0.80(beta); 1998-09-27

-- 
-- Copyright (c) 1998 Franck Arnaud, http://www.altsoft.demon.co.uk/
-- 
-- This package is distributed under the Eiffel Forum Freeware License, 
-- version 1 (see file forum.txt for full text). The main points are:
-- 
-- "Permission is hereby granted, without written agreement and without 
--  license or royalty fees, to use, copy, modify and/or distribute this 
--  package, provided that: copyright notices are retained unchanged [...]
-- 
--  Permission is hereby also granted [...] to distribute binary programs 
--  which depend on this package, provided that: if the binary program 
--  depends on a modified version of this package, you must publicly release 
--  the modified version of this package [...].
-- 
--  THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT WARRANTY [...]"
-- 

indexing
	cluster: Controls
	description: "An item in a list box"
	interface: abstract, inheritance

deferred class LISTBOX_ITEM

feature -- Item's name

	is_valid: BOOLEAN is
			-- Is this item valid to be added to a list box.
		deferred
		end

	name: STRING is
			-- Name of listbox item.
		deferred
		ensure
			valid: Result /= Void
		end

end -- class LISTBOX_ITEM
