-- Fenestra; version 0.80(beta); 1998-09-27

-- 
-- Copyright (c) 1998 Franck Arnaud, http://www.altsoft.demon.co.uk/
-- 
-- This package is distributed under the Eiffel Forum Freeware License, 
-- version 1 (see file forum.txt for full text). The main points are:
-- 
-- "Permission is hereby granted, without written agreement and without 
--  license or royalty fees, to use, copy, modify and/or distribute this 
--  package, provided that: copyright notices are retained unchanged [...]
-- 
--  Permission is hereby also granted [...] to distribute binary programs 
--  which depend on this package, provided that: if the binary program 
--  depends on a modified version of this package, you must publicly release 
--  the modified version of this package [...].
-- 
--  THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT WARRANTY [...]"
-- 

indexing
	cluster: Fenestra, Internal
	description: "Internal Brush"
	interface: client, internal

class WIN_BRUSH

inherit
	WIN_GDI_OBJECT

creation {WIN_API}
	make_white, make_black, make_invisible,
	make_color, make_hatch

feature {NONE} -- Creation
	
	make_invisible is
		do
			finalisation_register
			set_handle (wrt.win_gdi_stock (wrt.Null_brush))
		end

	make_black is
		do
			finalisation_register
			set_handle (wrt.win_gdi_stock (wrt.Black_brush))
		end

	make_white is
		do
			finalisation_register
			set_handle (wrt.win_gdi_stock (wrt.White_brush))
		end

	make_color (color: COLOR) is
		do
			finalisation_register
			set_handle (wrt.win_gdi_brush (wrt.Bs_solid, 0, color.to_windows))
		end

	make_hatch (color: COLOR; hatch: INTEGER) is
		do
			finalisation_register
			set_handle (wrt.win_gdi_brush (wrt.Bs_hatched, hatch, color.to_windows))
		end

end -- class WIN_BRUSH
