-- Fenestra; version 0.80(beta); 1998-09-27

-- 
-- Copyright (c) 1998 Franck Arnaud, http://www.altsoft.demon.co.uk/
-- 
-- This package is distributed under the Eiffel Forum Freeware License, 
-- version 1 (see file forum.txt for full text). The main points are:
-- 
-- "Permission is hereby granted, without written agreement and without 
--  license or royalty fees, to use, copy, modify and/or distribute this 
--  package, provided that: copyright notices are retained unchanged [...]
-- 
--  Permission is hereby also granted [...] to distribute binary programs 
--  which depend on this package, provided that: if the binary program 
--  depends on a modified version of this package, you must publicly release 
--  the modified version of this package [...].
-- 
--  THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT WARRANTY [...]"
-- 

indexing
	cluster: Fenestra, Bubble
	description: "Base tool change command"
	interface: inheritance

deferred class CMD_TOOL inherit GUI_COMMAND end

feature {NONE}
	
	make (dw: BUBBLE_DRAW; mn: MENU_ITEM) is
			-- Prototype creation procedure.
		require
			ok_draw: dw /= Void
			ok_menu: mn /= Void
		do
			draw := dw
			menu := mn
			!!icon.make_resource (icon_name)
		ensure
			ico: icon /= Void
			draw: draw = dw
			menu: menu = mn
		end

	apply is
		do
			draw.set_mode (Current)
			menu.check_mark
			draw.toolbar.set_selection (Current)
		end

feature {NONE}
	
	icon_name: STRING is
		deferred
		end

feature -- Attribute(s)

	draw: BUBBLE_DRAW
	menu: MENU_ITEM
	icon: ICON

feature
	
	click (pt: POINT) is
		require
			ok: pt /= Void
		deferred
		end

	right_click (pt: POINT) is
		require
			ok: pt /= Void
		deferred
		end

end
