-- Fenestra; version 0.80(beta); 1998-09-27

-- 
-- Copyright (c) 1998 Franck Arnaud, http://www.altsoft.demon.co.uk/
-- 
-- This package is distributed under the Eiffel Forum Freeware License, 
-- version 1 (see file forum.txt for full text). The main points are:
-- 
-- "Permission is hereby granted, without written agreement and without 
--  license or royalty fees, to use, copy, modify and/or distribute this 
--  package, provided that: copyright notices are retained unchanged [...]
-- 
--  Permission is hereby also granted [...] to distribute binary programs 
--  which depend on this package, provided that: if the binary program 
--  depends on a modified version of this package, you must publicly release 
--  the modified version of this package [...].
-- 
--  THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT WARRANTY [...]"
-- 

indexing
	cluster: Fenestra, Bubble
	description: "Tool|Edit menu"
	interface: client

class CMD_TOOL_EDIT inherit CMD_TOOL end

creation make 

feature {NONE}

	icon_name: STRING is do Result := "ToolSelect" end
	
feature
	
	execute is
		local
			mouse: MOUSE_HANDLER
		do
			!BUBBLE_MOUSE!mouse.make (draw)
			draw.set_left_mouse_manager (mouse)
			apply
		end

	click (pt: POINT) is
		do
			-- nop, mouse manager
		end

	right_click (pt: POINT) is
		do
			-- Context menu
			if draw.selected /= Void then
				draw.edit_menu.pop_up (pt)
			else
				draw.tool_menu.pop_up (pt)
			end
		end

end
