-- Fenestra; version 0.80(beta); 1998-09-27

-- 
-- Copyright (c) 1998 Franck Arnaud, http://www.altsoft.demon.co.uk/
-- 
-- This package is distributed under the Eiffel Forum Freeware License, 
-- version 1 (see file forum.txt for full text). The main points are:
-- 
-- "Permission is hereby granted, without written agreement and without 
--  license or royalty fees, to use, copy, modify and/or distribute this 
--  package, provided that: copyright notices are retained unchanged [...]
-- 
--  Permission is hereby also granted [...] to distribute binary programs 
--  which depend on this package, provided that: if the binary program 
--  depends on a modified version of this package, you must publicly release 
--  the modified version of this package [...].
-- 
--  THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT WARRANTY [...]"
-- 

class MODE_CHANGE inherit GUI_COMMAND end

creation make feature

	make (bub: BUBBLE_DRAW; mod: INTEGER) is
		require
			bub_ok: bub /= Void
		do
			bubble := bub
			mode := mod
		ensure
			done: bub = bubble and mod = mode
		end

	execute is
		do
			bubble.set_mode (mode)
		end

feature {NONE}
	
	bubble: BUBBLE_DRAW
	mode: INTEGER

end

