-- Fenestra; version 0.80(beta); 1998-09-27

-- 
-- Copyright (c) 1998 Franck Arnaud, http://www.altsoft.demon.co.uk/
-- 
-- This package is distributed under the Eiffel Forum Freeware License, 
-- version 1 (see file forum.txt for full text). The main points are:
-- 
-- "Permission is hereby granted, without written agreement and without 
--  license or royalty fees, to use, copy, modify and/or distribute this 
--  package, provided that: copyright notices are retained unchanged [...]
-- 
--  Permission is hereby also granted [...] to distribute binary programs 
--  which depend on this package, provided that: if the binary program 
--  depends on a modified version of this package, you must publicly release 
--  the modified version of this package [...].
-- 
--  THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT WARRANTY [...]"
-- 

class CMD_TEXT

inherit GUI_COMMAND creation make

feature {NONE} -- Creation

	make (tw: TEXT; tx: STRING) is
			-- Make.
		require
			ok: tw /= Void and tx /= Void
		do
			text_window := tw
			text_string := tx
		ensure
			keep_reference: text_window = tw and text_string = tx
		end

feature {NONE} -- Attribute(s)

	text_window: TEXT
	text_string: STRING

feature 
	
	execute is
			-- Callback.
		do
			text_window.set_hellotext (text_string)
		end

end
