-- Fenestra; version 0.80(beta); 1998-09-27

-- 
-- Copyright (c) 1998 Franck Arnaud, http://www.altsoft.demon.co.uk/
-- 
-- This package is distributed under the Eiffel Forum Freeware License, 
-- version 1 (see file forum.txt for full text). The main points are:
-- 
-- "Permission is hereby granted, without written agreement and without 
--  license or royalty fees, to use, copy, modify and/or distribute this 
--  package, provided that: copyright notices are retained unchanged [...]
-- 
--  Permission is hereby also granted [...] to distribute binary programs 
--  which depend on this package, provided that: if the binary program 
--  depends on a modified version of this package, you must publicly release 
--  the modified version of this package [...].
-- 
--  THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT WARRANTY [...]"
-- 

indexing
	cluster: Fenestra, Windows
	description: "Help command displaying topic associated with keyword"
	interface: client

class HELP_KEYWORD

inherit
	HELP_COMMAND
		end

creation
	make

feature -- Attribute(s)
	
	key: STRING
	
	set_key (str: STRING) is
		require
			valid_string: str /= Void
		do
			key := str
		ensure
			keep_reference: key = str
		end

feature -- Command
	
	execute is
		do
			check valid_help: helpfile /= Void end
			check valid_key: key /= Void end
			
			last_command_success := wrt.win_help_str (parent.handle,
					wrt.ew_string (helpfile).to_c, wrt.Help_key,
					wrt.ew_string (key).to_c)
		end

end -- class HELP_KEYWORD
