-- Fenestra; version 0.80(beta); 1998-09-27

-- 
-- Copyright (c) 1998 Franck Arnaud, http://www.altsoft.demon.co.uk/
-- 
-- This package is distributed under the Eiffel Forum Freeware License, 
-- version 1 (see file forum.txt for full text). The main points are:
-- 
-- "Permission is hereby granted, without written agreement and without 
--  license or royalty fees, to use, copy, modify and/or distribute this 
--  package, provided that: copyright notices are retained unchanged [...]
-- 
--  Permission is hereby also granted [...] to distribute binary programs 
--  which depend on this package, provided that: if the binary program 
--  depends on a modified version of this package, you must publicly release 
--  the modified version of this package [...].
-- 
--  THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT WARRANTY [...]"
-- 

indexing
	cluster: Fenestra, Controls
	description: "Abstract box with a check mark"
	interface: abstract

deferred class CHECKBOX

inherit
	BUTTON
		end

feature -- Status
			
	is_checked: BOOLEAN is
			-- Is the button checked?
		deferred
		end

	check_mark is
			-- Set the check mark to checked status.
		deferred
		ensure
			set: is_checked
		end

	uncheck_mark is
			-- Set the check mark to unckecked status.
		deferred
		ensure
			set: not is_checked
		end

feature -- Size

	adapt_width is
			-- Set width based on current label text.
		deferred
		end

end -- class CHECKBOX
