-- Fenestra; version 0.80(beta); 1998-09-27

-- 
-- Copyright (c) 1998 Franck Arnaud, http://www.altsoft.demon.co.uk/
-- 
-- This package is distributed under the Eiffel Forum Freeware License, 
-- version 1 (see file forum.txt for full text). The main points are:
-- 
-- "Permission is hereby granted, without written agreement and without 
--  license or royalty fees, to use, copy, modify and/or distribute this 
--  package, provided that: copyright notices are retained unchanged [...]
-- 
--  Permission is hereby also granted [...] to distribute binary programs 
--  which depend on this package, provided that: if the binary program 
--  depends on a modified version of this package, you must publicly release 
--  the modified version of this package [...].
-- 
--  THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT WARRANTY [...]"
-- 

indexing
	cluster: Fenestra, Controls
	description: "Modal dialog box"
	comment: "creation procedure for descendants is `make'"
	interface: inheritance

deferred class MODAL_DIALOG

inherit
	MODELESS_DIALOG
		redefine
			when_created, when_closed
		end

feature {PUBLIC_NONE}

	when_created is
		do
			parent.disable
			when_prepared
		end

	when_closed is
		do
			parent.enable
			when_finished
		end

end -- class MODAL_DIALOG
