-- Fenestra; version 0.80(beta); 1998-09-27

-- 
-- Copyright (c) 1998 Franck Arnaud, http://www.altsoft.demon.co.uk/
-- 
-- This package is distributed under the Eiffel Forum Freeware License, 
-- version 1 (see file forum.txt for full text). The main points are:
-- 
-- "Permission is hereby granted, without written agreement and without 
--  license or royalty fees, to use, copy, modify and/or distribute this 
--  package, provided that: copyright notices are retained unchanged [...]
-- 
--  Permission is hereby also granted [...] to distribute binary programs 
--  which depend on this package, provided that: if the binary program 
--  depends on a modified version of this package, you must publicly release 
--  the modified version of this package [...].
-- 
--  THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT WARRANTY [...]"
-- 

indexing
	cluster: Fenestra, Controls
	description: "Built-in frame control"
	interface: client

class STD_FRAME

inherit
	STD_STATIC
		end

creation
	make, make_grey

feature {CREATION_NONE} -- Creation
	
	make (p: WINDOW) is
			-- Create standard frame (black).
		do
			!!self.make_handle (p, wrt.win_static_create (p.handle, wrt.Ss_blackframe))
			register
		end

	make_grey (p: WINDOW) is
			-- Create grey frame.
		require
			valid: p /= Void
		do
			!!self.make_handle (p, wrt.win_static_create (p.handle, wrt.Ss_grayframe))
			register
		end

end -- class STD_FRAME
