-- Fenestra; version 0.80(beta); 1998-09-27

-- 
-- Copyright (c) 1998 Franck Arnaud, http://www.altsoft.demon.co.uk/
-- 
-- This package is distributed under the Eiffel Forum Freeware License, 
-- version 1 (see file forum.txt for full text). The main points are:
-- 
-- "Permission is hereby granted, without written agreement and without 
--  license or royalty fees, to use, copy, modify and/or distribute this 
--  package, provided that: copyright notices are retained unchanged [...]
-- 
--  Permission is hereby also granted [...] to distribute binary programs 
--  which depend on this package, provided that: if the binary program 
--  depends on a modified version of this package, you must publicly release 
--  the modified version of this package [...].
-- 
--  THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT WARRANTY [...]"
-- 

indexing
	cluster: Fenestra, Graphics
	description: "Pie (filled section of an ellipse)"
	interface: client

class DRAWABLE_PIE

inherit
	DRAWABLE_ARC
		redefine
			draw
		end

creation
	make

feature {GRAPHIC_DEVICE} -- Drawing
	
	draw (dev: GRAPHIC_DEVICE) is
			-- Actual draw
		do
			wrt.win_gdi_arcdir (dev.handle, clockwise)
			wrt.win_gdi_pie (dev.handle, bounding_rectangle.lower.x, bounding_rectangle.lower.y,
							bounding_rectangle.upper.x, bounding_rectangle.upper.y,
							start.x, start.y, final.x, final.y)
		end

end -- class DRAWABLE_PIE
