-- Fenestra; version 0.80(beta); 1998-09-27

-- 
-- Copyright (c) 1998 Franck Arnaud, http://www.altsoft.demon.co.uk/
-- 
-- This package is distributed under the Eiffel Forum Freeware License, 
-- version 1 (see file forum.txt for full text). The main points are:
-- 
-- "Permission is hereby granted, without written agreement and without 
--  license or royalty fees, to use, copy, modify and/or distribute this 
--  package, provided that: copyright notices are retained unchanged [...]
-- 
--  Permission is hereby also granted [...] to distribute binary programs 
--  which depend on this package, provided that: if the binary program 
--  depends on a modified version of this package, you must publicly release 
--  the modified version of this package [...].
-- 
--  THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT WARRANTY [...]"
-- 

indexing
	cluster: Fenestra, Graphics
	description: "Colour from the current palette"
	interface: client

class PALETTE_COLOR

inherit
	COLOR
		end

creation
	make_index

feature -- Index
	
	index: INTEGER
			-- Colour index.

	make_index, set_index (idx: INTEGER) is
			-- Set colour index (in the current palette).
		require
			valid_index: idx >= 0
		do
			index := idx
		end

feature {WIN_API}
	
	to_windows: INTEGER is
		do
			Result := wrt.win_gdi_palcolor (index)
		end
	
end -- class PALETTE_COLOR
