-- Fenestra; version 0.80(beta); 1998-09-27

-- 
-- Copyright (c) 1998 Franck Arnaud, http://www.altsoft.demon.co.uk/
-- 
-- This package is distributed under the Eiffel Forum Freeware License, 
-- version 1 (see file forum.txt for full text). The main points are:
-- 
-- "Permission is hereby granted, without written agreement and without 
--  license or royalty fees, to use, copy, modify and/or distribute this 
--  package, provided that: copyright notices are retained unchanged [...]
-- 
--  Permission is hereby also granted [...] to distribute binary programs 
--  which depend on this package, provided that: if the binary program 
--  depends on a modified version of this package, you must publicly release 
--  the modified version of this package [...].
-- 
--  THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT WARRANTY [...]"
-- 

indexing
	cluster: Fenestra, Tutorial, Tictactoe
	description: "Listbox item for Tic-tac-toe"
	interface: client

class GAME_ITEM

inherit
	LISTBOX_ITEM
		end

creation
	make

feature {NONE} -- Creation

	make (lvl: INTEGER; nme: STRING) is
			-- Create.
		require
			ok: lvl > 0 and nme /= Void
		do
			level := lvl
			name := nme
		ensure
			ok_level: level = lvl
			ok_name: name.is_equal (nme)
		end

feature
	
	level: INTEGER
			-- Difficulty level.
	name: STRING
			-- Level name.

	is_valid: BOOLEAN is
		do
			Result := name /= Void
		end

end -- class GAME_ITEM
